baseURL = 'https://blog.hugopoi.net/v2/'
publishdir = '../www/v2'
languageCode = 'en-us'
defaultLanguageContent = 'en'
title = 'HugoPoi Blog'
theme = 'cupper-hugo-theme'

# googleAnalytics: UA-123456789-1
# disqusShortname: yourdiscussshortname
enableGitInfo = true

[taxonomies]
tag = "tags"

[permalinks]
post = "/:filename/"

[imaging]
quality = 99

[params]
description = "My new blog, no more wordpress, Hugo running this one."
homeMetaContent = "My new blog talking about tech stuff, cooking, hacking and MOOOOORE"
footer = "Made with [Hugo](https://gohugo.io/). Themed by [Cupper](https://github.com/zwbetz-gh/cupper-hugo-theme). Deployed to my NAS with the help of [Franciliens.net](https://www.franciliens.net/)."
dateFormat = "Jan 2, 2006"
# codePenUser = "someUser"
katex = true
hideHeaderLinks = false
search = true
showThemeSwitcher = true
defaultDarkTheme = false
moveFooterToHeader = true
logoAlt = "An alternative text description of the logo"
# customCss = [ "css/custom_01.css", "css/custom_02.css" ]
# customJs = [ "js/custom_01.js", "js/custom_02.js" ]
navTitleText = "HugoPoi's blog v2"


[[menu.nav]]
name = "Home"
url = "/"
weight = 1

# [[menu.nav]]
# name = "Blog"
# url = "/post/"
# weight = 2
 
# [[menu.nav]]
# name = "Tags"
# url = "/tags/"
# weight = 3
# 
# [[menu.nav]]
# name = "About"
# url = "/about/"
# weight = 4
# 
# [[menu.nav]]
# name = "RSS"
# url = "/index.xml"
# weight = 5

[markup]
defaultMarkdownHandler = "goldmark"

[markup.goldmark.extensions]
definitionList = true
footnote = true
linkify = true
strikethrough = true
table = true
taskList = true
typographer = true

[markup.goldmark.parser]
attribute = true
autoHeadingID = true

[markup.goldmark.renderer]
hardWraps = false
unsafe = true
xHTML = false

[markup.highlight]
codeFences = false
hl_Lines = ""
lineNoStart = 1
lineNos = false
lineNumbersInTable = true
noClasses = true
style = "monokai"
tabWidth = 4

[markup.tableOfContents]
endLevel = 6
startLevel = 2

